Bug 111050 - GDM could provide meaningful error when /tmp permissions are incorrect
GDM could provide meaningful error when /tmp permissions are incorrect
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 14:14 EST by Peter Chiu
Modified: 2007-03-27 00:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 11:00:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Chiu 2003-11-26 14:14:16 EST
Description of problem:

The console window manager fails to start up with
repeated messages recording in /var/log/messages:

gdm[nnnn]: gdm_slave_xioerror_handler: Fatal X error - Restarting 0

Following a suggestion obtained through the web, we commented out
the following line in /etc/X11/XF86Config:

    FontPath  "unix/:7100"

the display manager can then come up normally.

However, we can now log on using the root account only.

When we tried to log in using a normal user account,
a small window pops up saying there are problems detected.
It then reverts back to the normal logon screen.

The system is part of a NIS client, but we can log on
remotely using ssh (ie. non window) with the normal user accounts.

In the system log /var/log/messages, it reports:

gdm(pam_unix)[nnnn]: bad username [pcmc]
gdm-binary[nnnn]: Couldn't authenticate user
gdm(pam_unix}[nnnn]: session closed for user pcmc 

The system has been working fine (without a reboot) until today.

Version-Release number of selected component (if applicable):
gdm 2.4.1.3

How reproducible: everything


Steps to Reproduce:
1. log in using a normal user account
2.
3.
  
Actual results:

A window pops up saying problems detected.
The screen reverts back to normal logon screen.

Expected results:

Normal log on.

Additional info:

In the up2date log (/var/log/up2date.2), on Nov 18,
there had been a number updates on XFree86-4.3.0-2.90.43
and relating products.  

Not sure if that is relevant to the problems now experience.
Comment 1 Peter Chiu 2003-12-03 10:22:08 EST
It appears that we have got round the problem afterall.

The gdm_authentication error was later traced down to the
/tmp directory protection.  Somehow, it was set to 755.

By resetting it to 1777, normal users can now log on the console.

We still don't know how that fault was caused in the first place.

We are not sure also that the FontPath in XF86Config and xfs are 
still needed afterall.  We still have the FontPath commented out.
Comment 2 Ray Strode [halfline] 2004-06-15 17:03:21 EDT
It would be nice if GDM gave a more descriptive explanation of the
problem in this case, so that misconfigurations could be more quickly
identified.  I'm going to change this bug to an enhancement request
and alter the bug summary as appropriate.
Comment 5 Ray Strode [halfline] 2004-06-16 11:00:02 EDT
I logged this bug upstream.  You can track its progress there:

http://bugzilla.gnome.org/show_bug.cgi?id=144473

Note You need to log in before you can comment on or make changes to this bug.